> For a complete page index, fetch https://developer.close.com/llms.txt # Retrieve a single Custom Object Type GET https://api.close.com/api/v1/custom_object_type/{id}/ Retrieve a single custom object type by ID. The response contains the Custom Object Type including most Custom Field metadata. Reference: https://developer.close.com/api/resources/custom-object-types/get ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `id` (string, required) ## Response ### 200 Successful response ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Response** ```json { "api_create_only": true, "back_reference_fields": [], "created_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk", "date_created": "2020-07-09T15:36:16.795350", "date_updated": "2020-07-09T15:36:16.795350", "description": "A Resource tracked by an external system.", "editable_with_roles": [], "fields": [ { "accepts_multiple_values": true, "back_reference_is_visible": true, "description": "Account objects using this Resource.", "editable_with_roles": [], "id": "cf_UpyNBvr6Rw8UBHh7zRboL3PYhbOVJl3XvwgPm3jg64S", "name": "Linked Accounts", "referenced_custom_type_id": "cotype_4hQsScWF3hnUOyngoaAV00", "required": true, "type": "custom_object" } ], "id": "cotype_1h5m6uHM9BZOpwVhyRJb4Y", "name": "Resource", "name_plural": "Resources", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "updated_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk" } ``` **SDK Code** ```python custom_object_types_get_example import requests url = "https://api.close.com/api/v1/custom_object_type/id/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript custom_object_types_get_example const url = 'https://api.close.com/api/v1/custom_object_type/id/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go custom_object_types_get_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/custom_object_type/id/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby custom_object_types_get_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/custom_object_type/id/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java custom_object_types_get_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/custom_object_type/id/") .basicAuth("", "") .asString(); ``` ```php custom_object_types_get_example request('GET', 'https://api.close.com/api/v1/custom_object_type/id/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp custom_object_types_get_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/custom_object_type/id/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```